> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SMS configuration

> Updates the SMS settings for the business associated with the provided business id. Currently this setting is an `enabled` flag.



## OpenAPI

````yaml put /v1/businesses/{businessId}/sms
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/sms:
    put:
      tags: []
      summary: Update SMS configuration
      description: >-
        Updates the SMS settings for the business associated with the provided
        business id. Currently this setting is an `enabled` flag.
      operationId: business.sms.put
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to update the SMS settings for.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessSmsConfigurationInput'
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessSmsConfiguration'
      deprecated: false
components:
  schemas:
    BusinessSmsConfigurationInput:
      type: object
      properties:
        sms_enabled:
          type: boolean
          description: Whether SMS is enabled for this business.
      description: The SMS configuration status to set for a business.
    BusinessSmsConfiguration:
      type: object
      properties:
        sms_enabled:
          type: boolean
          description: Whether SMS is enabled for this business.
        sms_stopped:
          type: boolean
          description: Whether this business has responded to Layer's SMS with "STOP".
      description: The SMS configuration status for a business.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````